Package groovy.util

## Interface ObjectGraphBuilder.RelationNameResolver

- All Known Implementing Classes:
    `ObjectGraphBuilder.DefaultRelationNameResolver`
  Enclosing class:
    ObjectGraphBuilder

      public static interface ObjectGraphBuilder.RelationNameResolver

  Strategy for resolving a relationship property name.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `resolveChildRelationName​(java.lang.String parentName, java.lang.Object parent, java.lang.String childName, java.lang.Object child)` | Returns the mapping name of child -> parent
    `java.lang.String` | `resolveParentRelationName​(java.lang.String parentName, java.lang.Object parent, java.lang.String childName, java.lang.Object child)` | Returns the mapping name of parent -> child

- - ### Method Detail

    - #### resolveChildRelationName

          java.lang.String resolveChildRelationName​(java.lang.String parentName,
                                                    java.lang.Object parent,
                                                    java.lang.String childName,
                                                    java.lang.Object child)

      Returns the mapping name of child -> parent
      Parameters:
        `parentName` - the name of the parent node
        `parent` - the parent node
        `childName` - the name of the child node
        `child` - the child node

    - #### resolveParentRelationName

          java.lang.String resolveParentRelationName​(java.lang.String parentName,
                                                     java.lang.Object parent,
                                                     java.lang.String childName,
                                                     java.lang.Object child)

      Returns the mapping name of parent -> child
      Parameters:
        `parentName` - the name of the parent node
        `parent` - the parent node
        `childName` - the name of the child node
        `child` - the child node